Announcement

Collapse
No announcement yet.

Etnaviv Gallium3D Reaches OpenGL 2.1

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Etnaviv Gallium3D Reaches OpenGL 2.1

    Phoronix: Etnaviv Gallium3D Reaches OpenGL 2.1

    It was just days ago that the Etnaviv Gallium3D driver made it to OpenGL 2.0 while now it's reached the OpenGL 2.1 threshold...

    http://www.phoronix.com/scan.php?pag...GL-2.1-Etnaviv

  • #2
    Get that thing added to docs/features.txt

    Comment


    • #3
      wumpus put up a video of the GC7000 running Darkplaces yesterday. He only had a glitchy spinning cube a week ago. These guys work fast!

      Comment


      • #4
        Originally posted by AJenbo View Post
        Get that thing added to docs/features.txt
        Can you open a bug for it in Mesa please?

        Comment


        • #5
          I don't think devs will want to track OpenGL drivers below version 3.0.
          But as soon as etnaviv reaches 3.0, it could be added. But I wonder, are the etnaviv GPU capable of handling OpenGL 3.0 and higher?
          I don't know them very well, but it seems like small GPUs.

          Comment


          • #6
            Originally posted by Creak View Post
            I don't think devs will want to track OpenGL drivers below version 3.0.
            But as soon as etnaviv reaches 3.0, it could be added. But I wonder, are the etnaviv GPU capable of handling OpenGL 3.0 and higher?
            I don't know them very well, but it seems like small GPUs.
            i.MX 8M (with GC7000Lite GPU) is capable of handling Vulkan: https://en.wikipedia.org/wiki/I.MX#i.MX_8M

            So it surely should support quite a bit of OpenGL features even above 4.0. But it might be missing some as well, which can prevent it from being fully complaint.

            See also: http://www.vivantecorp.com/index.php...to-mobile.html
            Last edited by shmerl; 10-30-2017, 12:39 PM.

            Comment


            • #7
              Originally posted by Creak View Post
              I don't think devs will want to track OpenGL drivers below version 3.0.
              But as soon as etnaviv reaches 3.0, it could be added. But I wonder, are the etnaviv GPU capable of handling OpenGL 3.0 and higher?
              I don't know them very well, but it seems like small GPUs.
              Vivante GPUs are mobile graphic units able to handle OpenGL 3.0, OpenGL ES 3.1 and OpenCL 1.2.

              Comment


              • #8
                Originally posted by brk0_0 View Post
                Vivante GPUs are mobile graphic units able to handle OpenGL 3.0, OpenGL ES 3.1 and OpenCL 1.2.
                Do you know what's missing in them for full OpenGL 4.x support?

                Comment


                • #9
                  Probably some 64-bit stuff (just guessing here)

                  Comment


                  • #10
                    Apparently, there's a lot going on with etnaviv recently. They also just started with GC7000 in mesa.

                    https://lists.freedesktop.org/archiv...er/174725.html

                    Comment

                    Working...
                    X